Lavalite package that provides career management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/career`.

    "litecms/career": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\Career\Providers\CareerServiceProvider::class,

And also add it to alias

    'Career'  => Litecms\Career\Facades\Career::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\CareerTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\Career\Providers\CareerServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\Career\Providers\CareerServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\Career\Providers\CareerServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/career/{modulename}

**User**

    http://path-to-route-folder/user/career/{modulename}

**Public**

    http://path-to-route-folder/careers


### API endpoints

**List**

    http://path-to-route-folder/api/user/career/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/career/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/career/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/career/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/career/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/career/{modulename}/{slug}
    METHOD: GET