<?php

// API routes  for career
Route::prefix('{guard}/career')->group(function () {
    Route::get('career/form/{element}', 'CareerAPIController@form');
    Route::resource('career', 'CareerAPIController');
});

// Public routes for career
Route::get('careers/', 'CareerPublicController@index');
Route::get('careers/{slug?}', 'CareerPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for careers
            Route::prefix('{guard}/career')->group(function () {
                Route::get('career/form/{element}', 'CareerAPIController@form');
                Route::apiResource('career', 'CareerAPIController');
            });
            // Public routes for careers
            Route::get('career/Career', 'CareerPublicController@getCareer');
        }
    );
}

