<?php

// web routes  for career
Route::prefix('{guard}/career')->group(function () {
    Route::resource('career', 'CareerResourceController');
});

// Public routes for career
Route::get('careers/', 'CareerPublicController@index');
Route::get('careers/{slug?}', 'CareerPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'CareerResourceController');
            });
            // Public routes for pages
            Route::get('careers/', 'CareerPublicController@index');
            Route::get('careers/{slug?}', 'CareerPublicController@show');
        }
    );
}

