<?php

namespace Litecms\Career\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CareerTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Career\Models\Career $career)
    {
        return [
            'id'                => $career->getRouteKey(),
            'key'               => [
                'public'    => $career->getPublicKey(),
                'route'     => $career->getRouteKey(),
            ], 
            'title'             => $career->title,
            'description'       => $career->description,
            'resume'            => $career->resume,
            'slug'              => $career->slug,
            'salary'            => $career->salary,
            'user_id'           => $career->user_id,
            'user_type'         => $career->user_type,
            'deleted_at'        => $career->deleted_at,
            'url'               => [
                'public'    => trans_url('career/'.$career->getPublicKey()),
                'user'      => guard_url('career/career/'.$career->getRouteKey()),
            ], 
            'status'            => trans('app.'.$career->status),
            'created_at'        => format_date($career->created_at),
            'updated_at'        => format_date($career->updated_at),
        ];
    }
}